libosmgpsmap-1.0-0-dev_1.0.2-2_i386.deb


Advertisement

Description

libosmgpsmap-1.0-0-dev - GTK+ library to embed OpenStreetMap maps - development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libosmgpsmap-1.0-0-dev
Package version 1.0.2
Package release 2
Package architecture i386
Package type deb
Installed size 457 B
Download size 57.06 KB
Official Mirror ftp.br.debian.org
libosmgpsmap is a library to embed maps in applications that when given GPS
co-ordinates, draws a GPS track, and points of interest on a moving map
display. Downloads map data from a number of websites, including
openstreetmap.org, openaerialmap.org and others.
These are the development files for libosmgpsmap0, needed only if you're
writing or compiling an application which will use it.

Alternatives

Package Version Architecture Repository
libosmgpsmap-1.0-0-dev_1.0.2-2_amd64.deb 1.0.2 amd64 Debian Main
libosmgpsmap-1.0-0-dev - - -

Requires

Name Value
gir1.2-osmgpsmap-1.0 -
libosmgpsmap-1.0-0 = 1.0.2-2

Provides

Name Value
libosmgpsmap-1.0-dev -
libosmgpsmap-dev -

Conflicts

Name Value
libosmgpsmap-1.0-dev -
libosmgpsmap-dev -

Download

Type URL
Binary Package libosmgpsmap-1.0-0-dev_1.0.2-2_i386.deb
Source Package osm-gps-map

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libosmgpsmap-1.0-0-dev deb package:
    # sudo apt-get install libosmgpsmap-1.0-0-dev

Files

Path
/usr/include/osmgpsmap-1.0/osm-gps-map-compat.h
/usr/include/osmgpsmap-1.0/osm-gps-map-image.h
/usr/include/osmgpsmap-1.0/osm-gps-map-layer.h
/usr/include/osmgpsmap-1.0/osm-gps-map-osd.h
/usr/include/osmgpsmap-1.0/osm-gps-map-point.h
/usr/include/osmgpsmap-1.0/osm-gps-map-source.h
/usr/include/osmgpsmap-1.0/osm-gps-map-track.h
/usr/include/osmgpsmap-1.0/osm-gps-map-widget.h
/usr/include/osmgpsmap-1.0/osm-gps-map.h
/usr/lib/i386-linux-gnu/libosmgpsmap-1.0.a
/usr/lib/i386-linux-gnu/libosmgpsmap-1.0.so
/usr/lib/i386-linux-gnu/pkgconfig/osmgpsmap-1.0.pc
/usr/share/doc-base/libosmgpsmap-1.0-dev
/usr/share/doc/libosmgpsmap-1.0-0-dev/changelog.Debian.gz
/usr/share/doc/libosmgpsmap-1.0-0-dev/changelog.gz
/usr/share/doc/libosmgpsmap-1.0-0-dev/copyright
/usr/share/doc/libosmgpsmap-1.0-0-dev/examples/mapviewer.js
/usr/share/doc/libosmgpsmap-1.0-0-dev/examples/poi.png
/usr/share/gtk-doc/html/osmgpsmap/OsmGpsMap.html
/usr/share/gtk-doc/html/osmgpsmap/OsmGpsMapImage.html
/usr/share/gtk-doc/html/osmgpsmap/OsmGpsMapLayer.html
/usr/share/gtk-doc/html/osmgpsmap/OsmGpsMapPoint.html
/usr/share/gtk-doc/html/osmgpsmap/OsmGpsMapTrack.html
/usr/share/gtk-doc/html/osmgpsmap/annotation-glossary.html
/usr/share/gtk-doc/html/osmgpsmap/api-index-deprecated.html
/usr/share/gtk-doc/html/osmgpsmap/api-index-full.html
/usr/share/gtk-doc/html/osmgpsmap/api-reference-deprecated.html
/usr/share/gtk-doc/html/osmgpsmap/api-reference.html
/usr/share/gtk-doc/html/osmgpsmap/home.png
/usr/share/gtk-doc/html/osmgpsmap/index.html
/usr/share/gtk-doc/html/osmgpsmap/index.sgml
/usr/share/gtk-doc/html/osmgpsmap/left-insensitive.png
/usr/share/gtk-doc/html/osmgpsmap/left.png
/usr/share/gtk-doc/html/osmgpsmap/libosmgpsmap-OsmGpsMap-Deprecated.html
/usr/share/gtk-doc/html/osmgpsmap/libosmgpsmap.devhelp2
/usr/share/gtk-doc/html/osmgpsmap/right-insensitive.png
/usr/share/gtk-doc/html/osmgpsmap/right.png
/usr/share/gtk-doc/html/osmgpsmap/style.css
/usr/share/gtk-doc/html/osmgpsmap/up-insensitive.png
/usr/share/gtk-doc/html/osmgpsmap/up.png

Changelog

2014-08-04 - Ross Gammon <rossgammon@mail.dk>
osm-gps-map (1.0.2-2) unstable; urgency=medium
[ Ross Gammon ]
* Install pkg-config file.
Thanks to Ruben Undheim (Closes: 753808)
* Fix lintian warning "Breaks-without-version"
[ Andreas Tille ]
* Do not Build-Depend hardening-wrapper which is deprecated
2014-05-10 - Ross Gammon <rossgammon@mail.dk>
osm-gps-map (1.0.2-1) unstable; urgency=medium
* New upstream release.
* Fix for tiles not showing (Closes: #745860, 745254)
* Add library as dependency for gir1.2-osmgpsmap-1.0 (Closes: #747584)
2014-02-08 - Andreas Tille <tille@debian.org>
osm-gps-map (1.0.1-3) unstable; urgency=medium
* Revert versioned development packages since this breaks reverse
dependency subsurface
Closes: #737312
2014-01-25 - Andreas Tille <tille@debian.org>
osm-gps-map (1.0.1-2) unstable; urgency=medium
* Apply patch from Ross Gammon <rossgammon@mail.dk>
Closes: #735841
* Added myself to Uploaders
* cme fix dpkg-control
* debian/copyright: Fix license statement of files in src/*
Closes: #732291
* Add Breaks+Conflicts libosmgpsmap-dev
Closes: #734898
* Checked new upstream version and noticed that it
Closes: #713635
* debian/*.doc-base: long description
2013-12-15 - David Paleino <dapal@debian.org>
osm-gps-map (1.0.1-1) experimental; urgency=medium
* New upstream version (Closes: #730733)
* Bump GTK build-dep to >= 3.0
* New package gir1.2-osmgpsmap-1.0, new SONAME osmgpsmap-1.0
* debian/patches:
- 01-fix_python_linking.patch dropped, no more needed
- 01-fix_LFS_support.patch added
* Simplified debian/rules :)
* Use canonical URLs for Vcs-* fields
* Mark the debug package Multi-Arch: same
* Standards-Version bump to 3.9.5, no changes needed
* Update debian/copyright
2012-07-10 - David Paleino <dapal@debian.org>
osm-gps-map (0.7.3-3) unstable; urgency=low
* Add missing dependency on python-gtk2 (Closes: #680815)
2012-06-27 - David Paleino <dapal@debian.org>
osm-gps-map (0.7.3-2) unstable; urgency=low
* Don't install *.la files anymore (Closes: #621487)
* Standards-Version bump to 3.9.3, no changes needed
* debhelper compatibility bump to 9 (multi-arch)
* Package switch from pysupport to dh_python2
* Remove *.a and *.la from python extension
* Updated debian/copyright
* Added more files to debian/clean
* Build with introspection disabled
* Dropped python-osmgpsmap-dbg: all debugging symbols are now
shipped in libosmgpsmap2-dbg.
* Enable package hardening
2011-03-30 - David Paleino <dapal@debian.org>
osm-gps-map (0.7.3-1) unstable; urgency=low
* New upstream version
* Bump Standards-Version to 3.9.1, no changes needed
* Patches refreshed
* Enable generation of gtkdoc documentation
* Package moved under pkg-osm umbrella
* Add -UGDK_DISABLE_DEPRECATED to CFLAGS, merged from Ubuntu
* Move files to be cleaned inside debian/clean
* Symbols file updated
2010-07-22 - David Paleino <dapal@debian.org>
osm-gps-map (0.7.2-1) unstable; urgency=low
* New upstream version
* debian/libosmgpsmap2.symbols updated, two new symbols added
(osm_gps_map_point_copy and osm_gps_map_point_free)
* debian/control:
- bump Standards-Version to 3.9.0, no changes needed
2010-06-25 - David Paleino <dapal@debian.org>
osm-gps-map (0.7.1-1) unstable; urgency=low
* New upstream version
* debian/patches/:
- 00-fix_python-COPYING.patch removed, COPYING file is now
installed upstream
- 01-fix_python_linking.patch refreshed

See Also

Package Description
libosmgpsmap-1.0-0_1.0.2-2_i386.deb GTK+ library to embed OpenStreetMap maps
libosmium-dev_0.0~20140910-9a069af-1+b1_i386.deb C++ framework for working with OSM data files
libosmosdr-dev_0.1.8.effcaa7-1_i386.deb Software defined radio support for OsmoSDR hardware (library)
libosmosdr0_0.1.8.effcaa7-1_i386.deb Software defined radio support for OsmoSDR hardware (development files)
libosmpbf-dev_1.3.3-2+b1_i386.deb C headers for OpenStreetMap PBF file format
libosmpbf-java_1.3.3-2_all.deb Java access library for OpenStreetMap PBF file format
libosmvendor4_3.3.18-3_i386.deb InfiniBand subnet manager - vendor library
libosp-dev_1.5.2-11.1_i386.deb OpenJade group's SP suite, developer support
libosp5_1.5.2-11.1_i386.deb Runtime library for OpenJade group's SP suite
libosptk3-dev_3.4.2-1.2_i386.deb OSP Toolkit development library and header files
libosptk3_3.4.2-1.2_i386.deb OSP Toolkit shared library
liboss4-salsa-asound2_4.2-build2010-2_i386.deb OSS to Alsa compatibility library - binary compatibility symlink
liboss4-salsa2_4.2-build2010-2_i386.deb OSS to Alsa compatibility library
libossim-dev_1.8.16-3+b1_i386.deb OSSIM library -- development files
libossim1_1.8.16-3+b1_i386.deb OSSIM library -- shared library
Advertisement
Advertisement